%define upstream_name    XML-Grammar-Fiction
%define upstream_version 0.14.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Line iterator base
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(XML::SemanticDiff) >= 1.0.0
BuildRequires: perl(XML::Writer)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::Grammar::Fiction is a CPAN distribution that facilitates writing prose
fiction (= stories, novels, novellas, etc.). What it does is:

* 1. Converting a well-formed plain text format to a specialized XML
  format.

* 2. Converting the XML to DocBook/XML or directly to HTML for rendering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README TODO.quicktask
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.14.11-3.mga6
+ Revision: 1036019
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.14.11-2.mga6
+ Revision: 965852
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.14.11-1.mga6
+ Revision: 838597
- update to 0.14.11

* Wed Oct 15 2014 umeabot <umeabot> 0.14.10-3.mga5
+ Revision: 740048
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.14.10-1.mga5
+ Revision: 665413
- update to 0.14.10

* Thu Aug 07 2014 sander85 <sander85> 0.14.9-1.mga5
+ Revision: 660522
- update to 0.14.9

* Tue Feb 04 2014 shlomif <shlomif> 0.14.8-1.mga5
+ Revision: 581396
- New version 0.14.8 arcs
- New version 0.14.8

* Sat Oct 19 2013 umeabot <umeabot> 0.14.7-2.mga4
+ Revision: 530043
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.14.7-1.mga4
+ Revision: 454748
- update to 0.14.7

* Wed May 29 2013 shlomif <shlomif> 0.14.6-1.mga4
+ Revision: 432750
- Add BRs
- Add BRs
- Update sha1
- New version 0.14.6

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 375047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 shlomif <shlomif> 0.9.3-1.mga3
+ Revision: 279447
- New version 0.9.3

* Sat Jul 28 2012 shlomif <shlomif> 0.9.2-1.mga3
+ Revision: 275523
- New version 0.9.2

* Tue Jul 03 2012 shlomif <shlomif> 0.8.1-1.mga3
+ Revision: 267073
- update to v0.8.1

* Mon Dec 19 2011 shlomif <shlomif> 0.8.0-1.mga2
+ Revision: 184358
- imported package perl-XML-Grammar-Fiction


* Mon Dec 19 2011 cpan2dist v0.8.0-1mga
- initial mageia release, generated with cpan2dist
